Intrusion Prevention

Adobe.Flash.Object.unwatch.Use.After.Free

Description

This indicates an attack attempt to exploit a Use After Free vulnerability in Adobe Flash Player.
The vulnerability is due to an error when the vulnerable software handles a maliciously crafted SWF file. A remote attacker may be able to exploit this to execute arbitrary code within the context of the application, via a crafted SWF file.

Affected Products

Adobe Flash Player Desktop Runtime 20.0.0.306 and earlier on Windows and Macintosh
Adobe Flash Player Extended Support Release 18.0.0.329 and earlier on Windows and Macintosh
Adobe Flash Player for Google Chrome 20.0.0.306 and earlier on Windows, Macintosh, Linux and ChromeOS
Adobe Flash Player for Microsoft Edge and Internet Explorer 11 20.0.0.306 and earlier on Windows 10
Adobe Flash Player for Internet Explorer 11 20.0.0.306 and earlier on Windows 8.1
Adobe Flash Player for Linux 11.2.202.569 and earlier on Linux
AIR Desktop Runtime 20.0.0.260 and earlier on Windows and Macintosh
AIR SDK 20.0.0.260 and earlier on Windows, Macintosh, Android and iOS
AIR SDK & Compiler 20.0.0.260 and earlier on Windows, Macintosh, Android and iOS
AIR for Android 20.0.0.233 and earlier on Android

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Apply the most recent upgrade or patch from the vendor.
https://helpx.adobe.com/security/products/flash-player/apsb16-08.html

CVE References

CVE-2016-0998

Other References

APSB16-08